# V3IncidentsIncidentResponse

Represents an incident.

## Example Usage

```typescript
import { V3IncidentsIncidentResponse } from "@solarwinds/squadcast-sdk-typescript/models";

let value: V3IncidentsIncidentResponse = {
  id: "<id>",
  serviceId: "<id>",
  alertSourceId: "<id>",
  organizationId: "<id>",
  incidentNumber: 283498,
  message: "<value>",
  assignedTo: [
    {
      id: "<id>",
      type: "<value>",
      timeOfAssignment: new Date("2025-01-31T18:45:11.079Z"),
      reason: "<value>",
    },
  ],
  additionalResponders: [
    {
      id: "<id>",
      type: "<value>",
      timeOfAssignment: new Date("2024-04-05T00:16:27.037Z"),
      reason: "<value>",
      name: "<value>",
      lastNotifiedAt: new Date("2024-12-28T17:34:47.601Z"),
    },
  ],
  description:
    "graft scale likely even quarrelsomely extract clinch through opposite impassioned",
  status: "<value>",
  timeOfCreation: new Date("2024-12-03T19:39:08.657Z"),
  updatedAt: new Date("2026-12-24T09:37:49.727Z"),
  tags: {},
  logs: [
    {
      action: "<value>",
      time: new Date("2024-12-12T19:34:50.839Z"),
      reason: "<value>",
    },
  ],
  analytics: {
    tta: {
      time: 689328,
      userId: "<id>",
      escalationPolicyId: "<id>",
      squadId: "<id>",
    },
    ttr: {
      time: 61853,
      userId: "<id>",
      escalationPolicyId: "<id>",
      squadId: "<id>",
    },
  },
  pinnedMessages: [],
  deleted: false,
  eventCount: 767725,
  dedupData: {},
  owner: {
    id: "<id>",
    type: "team",
  },
  accessControl: [],
  relevantUsers: [],
  relevantEscalationPolicies: [],
  relevantSquads: [
    "<value 1>",
  ],
  relevantSchedules: [],
  relevantPeopleLogs: [],
  responseNotes: [
    {
      timeOfNote: new Date("2026-12-11T23:43:42.771Z"),
      note: "<value>",
      userId: "<id>",
    },
  ],
  attachments: [
    "<value 1>",
    "<value 2>",
  ],
  isChild: true,
  children: [
    {
      id: "<id>",
    },
  ],
  didAutoPause: true,
  didAutoPauseTimeout: true,
  autoPauseEndsAt: new Date("2025-01-26T11:23:39.439Z"),
  manuallyMarkedTransientAlertFeedbackType: "<value>",
  classificationId: 727878,
  groupedAlertCount: 760307,
  hasPriority: false,
  snoozeDetails: {
    isSnoozed: true,
    startTime: new Date("2026-08-06T04:59:30.351Z"),
    endTime: new Date("2026-01-25T04:05:38.341Z"),
    totalTimeInMins: 584458,
  },
  didNotificationDelay: false,
  notificationDelayPolicy: {
    isNotificationDelayed: true,
    delayedUntil: new Date("2026-12-16T12:51:38.257Z"),
    assignTo: {
      id: "<id>",
    },
  },
  digestId: "<id>",
};
```

## Fields

| Field                                      | Type                                                                                                                       | Required             | Description                             |
| ------------------------------------------ | -------------------------------------------------------------------------------------------------------------------------- | -------------------- | --------------------------------------- |
| `id`                                       | *string*                                                                                                                   | :heavy\_check\_mark: | N/A                                     |
| `serviceId`                                | *string*                                                                                                                   | :heavy\_check\_mark: | N/A                                     |
| `alertSourceId`                            | *string*                                                                                                                   | :heavy\_check\_mark: | N/A                                     |
| `organizationId`                           | *string*                                                                                                                   | :heavy\_check\_mark: | N/A                                     |
| `sloId`                                    | *number*                                                                                                                   | :heavy\_minus\_sign: | N/A                                     |
| `incidentNumber`                           | *number*                                                                                                                   | :heavy\_check\_mark: | N/A                                     |
| `message`                                  | *string*                                                                                                                   | :heavy\_check\_mark: | N/A                                     |
| `assignedTo`                               | [models.V3IncidentsAssignedTo](/typescript/docs/models/v3incidentsassignedto.md)\[]                                        | :heavy\_check\_mark: | N/A                                     |
| `additionalResponders`                     | [models.V3IncidentsAdditionalResponderDetails](/typescript/docs/models/v3incidentsadditionalresponderdetails.md)\[]        | :heavy\_check\_mark: | N/A                                     |
| `description`                              | *string*                                                                                                                   | :heavy\_check\_mark: | N/A                                     |
| `status`                                   | *string*                                                                                                                   | :heavy\_check\_mark: | N/A                                     |
| `timeOfCreation`                           | [Date](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Date)                              | :heavy\_check\_mark: | N/A                                     |
| `updatedAt`                                | [Date](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Date)                              | :heavy\_check\_mark: | N/A                                     |
| `lastAcknowledgedAt`                       | [Date](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Date)                              | :heavy\_minus\_sign: | N/A                                     |
| `tags`                                     | [models.V3IncidentsIncidentResponseTags](/typescript/docs/models/v3incidentsincidentresponsetags.md)                       | :heavy\_check\_mark: | N/A                                     |
| `logs`                                     | [models.V3IncidentsLogs](/typescript/docs/models/v3incidentslogs.md)\[]                                                    | :heavy\_check\_mark: | N/A                                     |
| `analytics`                                | [models.V3IncidentsAnalytics](/typescript/docs/models/v3incidentsanalytics.md)                                             | :heavy\_check\_mark: | Incident analytics data.                |
| `pinnedMessages`                           | [models.V3IncidentsPinnedMessage](/typescript/docs/models/v3incidentspinnedmessage.md)\[]                                  | :heavy\_check\_mark: | N/A                                     |
| `createdBy`                                | *string*                                                                                                                   | :heavy\_minus\_sign: | N/A                                     |
| `senderEmail`                              | *string*                                                                                                                   | :heavy\_minus\_sign: | N/A                                     |
| `deleted`                                  | *boolean*                                                                                                                  | :heavy\_check\_mark: | N/A                                     |
| `eventCount`                               | *number*                                                                                                                   | :heavy\_check\_mark: | N/A                                     |
| `dedupData`                                | [models.V3IncidentsDedupData](/typescript/docs/models/v3incidentsdedupdata.md)                                             | :heavy\_check\_mark: | Deduplication data for an incident.     |
| `owner`                                    | [models.CommonV3RBACOwner](/typescript/docs/models/commonv3rbacowner.md)                                                   | :heavy\_check\_mark: | Represents the RBAC owner of an entity. |
| `accessControl`                            | [models.CommonV3RBACEntityPermission](/typescript/docs/models/commonv3rbacentitypermission.md)\[]                          | :heavy\_check\_mark: | N/A                                     |
| `relevantUsers`                            | *string*\[]                                                                                                                | :heavy\_check\_mark: | N/A                                     |
| `relevantEscalationPolicies`               | *string*\[]                                                                                                                | :heavy\_check\_mark: | N/A                                     |
| `relevantSquads`                           | *string*\[]                                                                                                                | :heavy\_check\_mark: | N/A                                     |
| `relevantSchedules`                        | *string*\[]                                                                                                                | :heavy\_check\_mark: | N/A                                     |
| `relevantPeopleLogs`                       | [models.V3IncidentsRelevantPeopleLog](/typescript/docs/models/v3incidentsrelevantpeoplelog.md)\[]                          | :heavy\_check\_mark: | N/A                                     |
| `responseNotes`                            | [models.V3IncidentsResponseNote](/typescript/docs/models/v3incidentsresponsenote.md)\[]                                    | :heavy\_check\_mark: | N/A                                     |
| `attachments`                              | *string*\[]                                                                                                                | :heavy\_check\_mark: | N/A                                     |
| `retriggerPolicy`                          | [models.V3IncidentsIncidentResponseRetriggerPolicy](/typescript/docs/models/v3incidentsincidentresponseretriggerpolicy.md) | :heavy\_minus\_sign: | N/A                                     |
| `webformId`                                | *number*                                                                                                                   | :heavy\_minus\_sign: | N/A                                     |
| `webformSubmissionId`                      | *number*                                                                                                                   | :heavy\_minus\_sign: | N/A                                     |
| `isChild`                                  | *boolean*                                                                                                                  | :heavy\_check\_mark: | N/A                                     |
| `parent`                                   | [models.V3IncidentsMergeIncidentEntityReference](/typescript/docs/models/v3incidentsmergeincidententityreference.md)       | :heavy\_minus\_sign: | Reference to a merged incident entity.  |
| `children`                                 | [models.V3IncidentsMergeIncidentEntityReference](/typescript/docs/models/v3incidentsmergeincidententityreference.md)\[]    | :heavy\_check\_mark: | N/A                                     |
| `didAutoPause`                             | *boolean*                                                                                                                  | :heavy\_check\_mark: | N/A                                     |
| `didAutoPauseTimeout`                      | *boolean*                                                                                                                  | :heavy\_check\_mark: | N/A                                     |
| `autoPauseEndsAt`                          | [Date](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Date)                              | :heavy\_check\_mark: | N/A                                     |
| `manuallyMarkedTransientAlertFeedbackType` | *string*                                                                                                                   | :heavy\_check\_mark: | N/A                                     |
| `classificationId`                         | *number*                                                                                                                   | :heavy\_check\_mark: | N/A                                     |
| `groupedAlertCount`                        | *number*                                                                                                                   | :heavy\_check\_mark: | N/A                                     |
| `priority`                                 | [models.V3IncidentsIncidentPriority](/typescript/docs/models/v3incidentsincidentpriority.md)                               | :heavy\_minus\_sign: | Represents the priority of an incident. |
| `hasPriority`                              | *boolean*                                                                                                                  | :heavy\_check\_mark: | N/A                                     |
| `snoozeDetails`                            | [models.V3IncidentsSnoozeDetails](/typescript/docs/models/v3incidentssnoozedetails.md)                                     | :heavy\_check\_mark: | Details about incident snoozing.        |
| `didNotificationDelay`                     | *boolean*                                                                                                                  | :heavy\_check\_mark: | N/A                                     |
| `notificationDelayPolicy`                  | [models.V3IncidentsNotificationDelayPolicy](/typescript/docs/models/v3incidentsnotificationdelaypolicy.md)                 | :heavy\_check\_mark: | Policy for delaying notifications.      |
| `digestId`                                 | *string*                                                                                                                   | :heavy\_check\_mark: | N/A                                     |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.incidents.cloud.solarwinds.com/typescript/docs/models/v3incidentsincidentresponse.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
